Bug 18695 - Процесс обновления qmmp
: Процесс обновления qmmp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qmmp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-30 05:31 by
Modified: 2009-02-21 21:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-30 05:31:30
После apt-get --yes update; apt-get --yes dist-upgrade:


mv: невозможно выполнить stat для `/usr/share/qmmp/skins/*': Нет такого файла
или каталога
 52: qmmp                                       
###################################################################################################
[ 14%]
------- Comment #1 From 2009-01-30 20:57:40 -------
Дальше прошло или за этом отвалилось?
------- Comment #2 From 2009-01-31 00:26:53 -------
(In reply to comment #1)
> Дальше прошло или за этом отвалилось?

Нет, не отвалилось. Просто выдало сообщение.
------- Comment #3 From 2009-01-31 22:27:57 -------
Это не бага. Это последствия костыля на период переезда каталога скинов. Думаю
что кто хотел - тот уже обновил qmmp и ему этот костыль не нужен. А кто еще не
обновился - там можно руками разрулить.
У Вас, судя по всему, просто не установлен пакет скинов.
------- Comment #4 From 2009-02-01 12:37:03 -------
Хорошо бы удавливать вывод в таких случаях (>/dev/null 2&>1)
------- Comment #5 From 2009-02-01 12:41:39 -------
Мда, вообще не понятно, зачем такой жуткий костыль в спеке:
%pre
mv -f %_datadir/%name/skins/* %_wlskindir/
%__rm -rf %_datadir/%name/skins
------- Comment #6 From 2009-02-01 12:46:34 -------
Ну да, скрит такой типично-ржачный.
------- Comment #7 From 2009-02-01 20:37:03 -------
(В ответ на комментарий №5)
> Мда, вообще не понятно, зачем такой жуткий костыль в спеке:
> %pre
> mv -f %_datadir/%name/skins/* %_wlskindir/
> %__rm -rf %_datadir/%name/skins

Это понадобилось временно на пару месяцев для обеспечения нормального
обновления, когда каталог %_datadir/%name/skins прекратил быть каталогом и стал
симлинком на %_wlskindir. Вот так было:
https://bugzilla.altlinux.org/show_bug.cgi?id=18199
====================================================
1: qmmp         error: unpacking of archive
failed on file /usr/share/qmmp/skins: cpio: rename failed - Это каталог ( 99%)
E: Произошли ошибки при выполнении транзакции
====================================================
Больше этот костыль не нужен, кому нужно было - уже обновился. В сизиф ушла
сборка без этого костыля.
------- Comment #8 From 2009-02-01 20:41:54 -------
(В ответ на комментарий №7)
> Это понадобилось временно на пару месяцев для обеспечения нормального
> обновления
Т.е. теперь обновление со старой версии будет невозможно?

> кому нужно было - уже обновился.
Охренеть.
------- Comment #9 From 2009-02-01 22:19:36 -------
(В ответ на комментарий №8)
> Т.е. теперь обновление со старой версии будет невозможно?

Будет возможно, сам знаешь.

> > кому нужно было - уже обновился.
> Охренеть.

Если хочется потроллить - не делай это в багзилле, мой джаббер тебе известен.
------- Comment #10 From 2009-02-01 22:30:28 -------
(В ответ на комментарий №9)
> (В ответ на комментарий №8)
> > Т.е. теперь обновление со старой версии будет невозможно?
> Будет возможно, сам знаешь.
Каким образом? Имеется в виду, конечно, обновление с версии, где
%_datadir/%name/skins был каталогом.
------- Comment #11 From 2009-02-02 09:04:30 -------
(В ответ на комментарий №10)
> Каким образом? Имеется в виду, конечно, обновление с версии, где
> %_datadir/%name/skins был каталогом.

rm -rf /usr/share/qmmp/skins && apt-get dist-upgrade
------- Comment #12 From 2009-02-02 09:08:14 -------
Т.е. я был прав, и штатное обновление невозможно. Пожалуйста, не называй больше
троллингом верные претензии.
------- Comment #13 From 2009-02-02 10:14:51 -------
Есть ли в бранчах qmmp, для которого требуется такой костылище?
------- Comment #14 From 2009-02-02 10:39:45 -------
Во всех бранчах версия уже с ним.
------- Comment #15 From 2009-02-02 13:29:41 -------
(В ответ на комментарий №13)
> Есть ли в бранчах qmmp, для которого требуется такой костылище?

Костыль нужен был только на момент переезда каталога. Сейчас костыль не нужен.
После выхода очередного релиза позаливаю в бранчи уже без костыля.
------- Comment #16 From 2009-02-10 16:34:35 -------
И сломаешь этим обновление с любого дистрибутива. Молодец.
------- Comment #17 From 2009-02-10 20:48:36 -------
(В ответ на комментарий №16)
> И сломаешь этим обновление с любого дистрибутива. Молодец.

В бранчах 4.0/4.1 (за 5.0 не скажу, не в курсе в каком состоянии туда попал
qmmp) имеется костыль. Другими словами всем, кто обновлялся из этих бранчей -
костыль не требуется.
Я могу его вернуть, но сколько времени потребуется держать довольно кривой
костыль в ожидании гипотетического случая?

P.S. Единственный, кто поймал багу с невозможностью автоматического обновления
- Морсов, который где-то нарыл сизиф годичной давности и решил обновить.
------- Comment #18 From 2009-02-10 20:52:57 -------
Так. Нужно разобраться поподробнее.

В бранчах костыль есть (в 5.0 тоже), значит обновление на любой свежий
дистрибутив из этих бранчей работает.

Не будет работать обновление на тухлый дистрибутив из любой ветки (собранный до
попадания в неё qmmp с костылём), но это не исправить.

Не будет работать обновление с тухлого дистрибутива на Сизиф, но это тоже
неважно.

Ок, возвращаю "resolved".
------- Comment #19 From 2009-02-21 12:48:19 -------
(В ответ на комментарий №18)
> Не будет работать обновление на тухлый дистрибутив из любой ветки (собранный до
> попадания в неё qmmp с костылём), но это не исправить.
Исправить, вернув костыль.
------- Comment #20 From 2009-02-21 12:59:52 -------
*на* тухлый, который уже не исправить.
------- Comment #21 From 2009-02-21 14:53:42 -------
(В ответ на комментарий №20)
> *на* тухлый, который уже не исправить.
С тухлого на любую версию, где пути поменялись, а костыля нет.
------- Comment #22 From 2009-02-21 21:58:09 -------
Я не вижу смысла держать этот костыль для абсолютно гипотетической ситуации.
Qmmp не входил ни в один дистрибутив и присутствует только в бранчах с 4.0 и до
сизифа. Для тех, кто использует Qmmp и обновляется из сетевых репозиториев -
костыль сделал свое дело. Сколько времени уже прошло как я его убрал - никто не
пожаловался на невозможность обновиться. Значит те, кто пользуется
проигрывателем, вложились в те несколько месяцев с костылем.